%define		php_name	php%{?php_suffix}
%define		modname	mcrypt_filter
%define		status		beta
Summary:	%{modname} - applies mcrypt symmetric encryption using stream filters
Summary(pl.UTF-8):	%{modname} - symetryczne szyfrowanie za pomocą filtrów strumieni
Name:		%{php_name}-pecl-%{modname}
Version:	0.1.0
Release:	7
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	f0648aa92b518bfacc0c0be9e86d6bc9
URL:		http://pecl.php.net/package/mcrypt_filter/
BuildRequires:	%{php_name}-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
Obsoletes:	php-pear-%{modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Creates mcrypt.* and mdecrypt.* class of filters for inline symmetric
encryption and decryption.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
To rozszerzenie tworzy klasy filtrów mcrypt.* i mdecrypt.* do
symetrycznego szyfrowania i odszyfrowywania strumieni.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}
install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Sun Nov 24 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-mcrypt_filter.git;a=log;h=master

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 543b1f1
support building for multiple php versions

* Tue Jan 31 2012 Elan Ruusamäe <glen@pld-linux.org> c2707c5
- release 7

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 65d0b48
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1543db2
- converted to UTF-8

* Tue Jan 02 2007 Elan Ruusamäe <glen@pld-linux.org> 214218d
- use new php extension related macros

* Wed Dec 13 2006 Elan Ruusamäe <glen@pld-linux.org> b7478fc
- rel 6 (php 5.2.0)

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> 498a753
- BR rpmmacros for fixed %requires_php_extension

* Thu Dec 22 2005 Elan Ruusamäe <glen@pld-linux.org> 8d89d2b
- rel 5 (rebuild with new php)

* Sun Oct 30 2005 Elan Ruusamäe <glen@pld-linux.org> 92c38b0
- rel 4

* Sat Oct 29 2005 Elan Ruusamäe <glen@pld-linux.org> e59a92b
- rebuild with zts and debug requires

* Wed Sep 14 2005 Elan Ruusamäe <glen@pld-linux.org> f47adfc
- rel 2

* Wed Sep 14 2005 Elan Ruusamäe <glen@pld-linux.org> 592aace
- conf.d and php api macros

* Tue Sep 13 2005 Elan Ruusamäe <glen@pld-linux.org> eeb808c
- superfluous BR libtool removed

* Mon Mar 21 2005 Jakub Bogusz <qboosh@pld-linux.org> 31317ae
- fixed URL, pl cosmetics

* Sun Mar 20 2005 Adam Gołębiowski <adamg@pld-linux.org> 220e4a8
- new

